# 19. التغيير: حذف "Field"

حذف "الحقل" المحدد وكل البيانات المتعلقة به.

{% hint style="info" %}
لا يمكن حذف "الحقل" التابع لـ"المزرعة" المشتركة، لأنك لست مالك الحقل.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
طفرة DeleteField {
  حذفالحقل(الإدخال: {
    uuid: "<placeholder_of_field_uuid>"
    farmUuid: "<placeholder_of_farm_uuid>"
  }) {
    uuid
    معرف_المزرعة
    الاسم
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ar/mstndat-wajhh-brmjh-alttbyqat/nzrh-aamh-ala-tlbat-wajhh-brmjh-ttbyqat-geopard/19.-altghyyr-hthf-field.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
